Subscriptions
Subscriptions Renew Create
Trigger a subscription renewal order.
Authorization
oauth2 subscriptions:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: subscriptions:write
Path Parameters
id*integer
A unique integer value identifying this Subscription.
Header Parameters
X-29next-API-Version*string
Default
"unstable"Value in
"unstable"Response Body
application/json
curl -X POST "https://example.29next.store/api/admin/subscriptions/0/renew/" \
-H "X-29next-API-Version: unstable" \
-H "Authorization: Bearer "{
"attribution": {
"affiliate": "string",
"agent": {
"email": "user@example.com",
"first_name": "string",
"id": 0,
"last_name": "string"
},
"funnel": "string",
"gclid": "string",
"metadata": null,
"subaffiliate1": "string",
"subaffiliate2": "string",
"subaffiliate3": "string",
"subaffiliate4": "string",
"subaffiliate5": "string",
"utm_campaign": "string",
"utm_content": "string",
"utm_medium": "string",
"utm_source": "string",
"utm_term": "string"
},
"billing_address": {
"country": "string",
"first_name": "string",
"id": 0,
"last_name": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
},
"cancel_reason": "string",
"cancel_reason_other_message": "string",
"currency": "string",
"date_created": "2019-08-24T14:15:22Z",
"frequency": "string",
"id": 0,
"interval": "day",
"interval_count": 1,
"is_test": true,
"lines": [
{
"id": 0,
"metadata": {},
"price": "string",
"product_id": 0,
"product_image": "http://example.com",
"product_title": "string",
"product_url": "http://example.com",
"quantity": 2147483647,
"sku": "string",
"variant_id": 0,
"variant_title": "string"
}
],
"next_renewal_date": "2019-08-24T14:15:22Z",
"num_lines": 0,
"num_orders": 0,
"orders": [
{
"billing_cycle": 0,
"order_number": "string"
}
],
"payment_details": {
"property1": null,
"property2": null
},
"payment_method": "string",
"shipping_address": {
"country": "string",
"first_name": "string",
"id": 0,
"last_name": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"notes": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
},
"shipping_code": "string",
"shipping_price": "string",
"status": "active",
"total": "string",
"user": {
"accepts_marketing": true,
"email": "user@example.com",
"first_name": "string",
"id": 0,
"ip": "string",
"language": "string",
"last_name": "string",
"phone_number": "string",
"user_agent": "string"
}
}